import { IRepository } from "@/contexts/common/domain";
import { UniqueID } from "@shared/contexts";
import { Profile } from "../entities";

export interface IProfileRepository extends IRepository<any> {
  exists(id: UniqueID): Promise<boolean>;
  getById(id: UniqueID): Promise<Profile | null>;
  update(profile: Profile): Promise<void>;

  getByUserId(userId: UniqueID): Promise<Profile | null>;
}
